---
title: PresentationRequest.PresentationRequest()
slug: Web/API/PresentationRequest/PresentationRequest
tags:
  - API
  - Constructor
  - Experimental
  - Presentation API
  - PresentationRequest
  - Reference
---
<p>{{APIRef("Presentation API")}}{{Non-standard_header}}</p>

<p><span class="seoSummary">The <strong><code>PresentationRequest</code></strong> constructor creates a new {{domxref("PresentationRequest")}} object which creates a new PresentationRequest.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var presentationRequest = new PresentationRequest(url|urls[])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>url</em> or <em>urls[]</em></dt>
 <dd>A URL or array of URLs that are possible URLs used to create, or reconnect, a presentation for the PresentationRequest instance.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Presentation','#constructing-a-presentationrequest','PresentationRequest')}}</td>
   <td>{{Spec2('Presentation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.PresentationRequest.PresentationRequest")}}</p>
